GNU/Linux Administration - Support #509

Install Yaourt on Arch Linux
12/26/2014 08:16 PM - Daniel Curtis

Status: Closed Start date: 12/26/2014
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Package Management Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 1.20 hour
Description

Yaourt is a great tool for easily installing packages from the Arch User Repository. This is a simple guide for installing and basic

usage of yaourt.

Prepare the Environment

o Make sure the system is up to date:
pacman —-Syu
¢ [nstall the base-devel, sudo, and wget packages:
pacman —-S base-devel wget rsync sudo
e Add the sudo group:
groupadd sudo
o Edit the sudo file:

visudo

o And uncomment the line for the sudo group

$sudo ALL=(ALL) ALL

e Makepkg will not work as root, so make an unprivileged user:

useradd -m —-g users -s /bin/bash bob

o Add the user bob to the sudo group:

usermod —-aG sudo bob

Install yaourt

e Switch to the unprivileged user, bob:

su - bob
e Download the packages for yaourt:

cd /tmp
wget https://aur.archlinux.org/cgit/aur.git/snapshot/package-query.tar.gz && wget https://aur.
archlinux.org/cgit/aur.git/snapshot/yaourt.tar.gz
tar xzf package—query.tar.gz
tar xzf yaourt.tar.gz
o Install package-query:
cd package-query
makepkg -csi

o Install yaourt

cd ../yaourt
makepkg -csi

Using yaourt

® You can install packages (including AUR packages) with

yaourt packagename

o or
yaourt —-Sa packagename
® You can update your system including AUR packages with:
yaourt -Syua

See the yaourt manual page for more information.

Examples

e Search and install:
yaourt search pattern

e Sync database, upgrade packages, search the AUR and devel (all packages based on cvs, svn, git, bzr(...)-version) upgrades:
yaourt —-Syua —-devel

* Build package from source:

yaourt —-Sb package

Resources
e https://wiki.archlinux.org/index.php/yaourt

History

#1 - 12/26/2014 09:46 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 01/15/2015 02:48 PM - Daniel Curtis

- Status changed from Resolved to Closed

#3 - 02/27/2015 10:30 PM - Daniel Curtis
- Category set to Package Management

- Target version set to Arch Linux

#4 - 04/30/2015 04:28 PM - Daniel Curtis

- Description updated

#5 - 04/30/2015 04:30 PM - Daniel Curtis

- Description updated

#6 - 05/01/2015 01:49 PM - Daniel Curtis

- Description updated

#7 - 08/25/2015 12:48 PM - Daniel Curtis

- Description updated

#8 - 07/01/2016 10:30 PM - Daniel Curtis

- Description updated
